<template lang="pug">
.main-page
  img.main-page__to-top(
    src="@/assets/top.png"
    @click="scrollTop"
  )
  .main-page__info
    h1.main-page__info-title Образование для детей с ОВЗ и инвалидностью
    Button.main-page__info-btn(
      type="main"
      @click="scroll"
    ) Подробнее

  .main-page__about
    h1.main-page__about-title О проекте
    .main-page__about-text O’Kids – это персонализированное обучение. Благодаря комплексному подходу к обучению, индивидуальному руководству и аналитике в реальном времени, оно удовлетворяет уникальные потребности каждого особенного ученика.

    .main-page__about-advantages
      .advantage
        .advantage__head
          img.advantage__icon(src="../assets/icon_calendar.png")
          .advantage__title Каталог мероприятий
        .advantage__text План ближайших мероприятий, которые могут посетить дети с ограниченными возможностями здоровья, позволяет не упустить интересные и познавательные события в своем городе.

      .advantage
        .advantage__head
          img.advantage__icon(src="../assets/icon_head.png")
          .advantage__title Образовательные программы
        .advantage__text Адаптированные образовательные программы позволяет учащимся нарабатывать широкий набор компетенций в контексте их личных интересов.

      .advantage
        .advantage__head
          img.advantage__icon(src="../assets/icon_card.png")
          .advantage__title Подбор специалистов
        .advantage__text Автоматический подбор специалистов, работающих с подходящей формой отклонения, позволит сэкономить время родителей.

  .main-page__for
    h1.main-page__for-title Для кого?
    .main-page__for-wrapper
      Card(
        v-if="!authorized"
        :item="listfor[0]"
        alwaysDouble=true
      ) Зарегистрироваться
      Card(
        v-else
        :item="listfor[0]"
        alwaysDouble=true
      ) Образование
      Card(
        :item="listfor[1]"
        alwaysDouble=true
      ) Подробнее

  .main-page__partners
    h1.main-page__partners-title Наши партнеры
    .main-page__partners-wrapper
      img.main-page__partners-img(src="@/assets/partners/TsP.png")
      img.main-page__partners-img(src="@/assets/partners/RSV.png")
      img.main-page__partners-img(src="@/assets/partners/Kritbi.png")
      img.main-page__partners-img(src="@/assets/partners/Rosatom.png")
      img.main-page__partners-img(src="@/assets/partners/Megafon.png")

  .main-page__services
    h1.main-page__services-title  Услуги
    h2.main-page__services-subtitle Записывайтесь онлайн на консультацию к специалисту по коррекции
    .main-page__services-text Преподаватели, дефектологи, психологи и другие специалисты по коррекции, обладающие соответствующей квалификацией и опытом работы с особенными детьми, создадут комфортную обучающую среду для развития ребенка.
    Button(
      v-if="!authorized"
      type="secondary"
      @click="toReg"
    ) Регистрация
    Button(
      v-else
      type="secondary"
      @click="toSpecs"
    ) Посмотреть специалистов
</template>

<script>
import Button from '@/components/parts/Button.vue'
import Card from '@/components/parts/Card.vue'

export default {
  name: 'Home',
  components: {
    Button,
    Card
  },
  data() {
    return {
      listfor: [
        {
          title: "Родителям",
          description: "Для родителей, которые хотят, чтобы их ребенок жил полной жизнью. Дистанционное образование, это отличный способ для родителей, помочь своему ребенку развиваться и получать новые навыки. Рекомендательный характер сервиса, позволит настроить обучение под индивидуальные особенности ребенка.",
          photo_link: 'http://papamamaja.ru/wp-content/uploads/papamamaja/2014/08/Советы-для-мамы-будущего-первоклассника.jpg'
        },
        {
          title: "Детям",
          description: "Для детей, с особенностями развития, которые хотели бы узнать что-то новое. Сложности с общением, плохая усвояемость информации, медлительность, нарушение внимательности и другие особенности развития не станут препятствием на пути к получению новых знаний.",
          photo_link: 'https://4.bp.blogspot.com/-QGuTwTBtK3I/WCld0h3GVRI/AAAAAAAABCA/LilRuizjRDUCwo4NSX4JF-spKq-9Q1QiACK4B/s1600/8-4.jpg'
        }
      ]
    }
  },
  computed: {
    authorized() {
      return this.$store.getters.authorized
    }
  },
  methods: {
    scroll() {
      document.querySelector('.main-page__about').scrollIntoView({
        behavior: 'smooth'
      })
    },
    scrollTop() {
      document.querySelector('.topline').scrollIntoView({
        behavior: 'smooth'
      })
    },
    toReg() {
      this.$router.push({ name: 'Registration' })
    },
    toSpecs() {
      this.$router.push({ name: 'Recruitment' })
    }
  }
}
</script>

<style lang="stylus">
@import '~@/stylus/mixins.styl'

.main-page
  max-width: unset !important
  &__to-top
    position: fixed
    bottom: 20px
    right: 20px

  &__info
    width: 100%
    object-fit: cover
    height: 600px
    background: url("../assets/background.png")
    display: flex
    align-items: center
    justify-content: center
    flex-direction: column
    &-title
      margin: 0
      max-width: 800px
      text-align: center
      color: #212121
      font-size: 3em
      font-weight: 700
    &-btn
      margin-top: 20px

  &__about
    width: 100%
    height: 500px
    gradient()
    display: flex
    align-items: center
    justify-content: center
    flex-direction: column
    &-title
      margin: 0
      max-width: 800px
      text-align: center
      color: lightColor
      font-size: 3em
      font-weight: 700
    &-text
      color: lightColor
      max-width: 850px
      text-align: center
      font-weight: 400
      margin: 25px 0
    &-advantages
      margin: 0 20px
      max-width: 1200px
      display: flex
      color: lightColor
      .advantage
        flex-basis: 33%
        display: flex
        flex-direction: column
        margin: 20px
        &__icon
          height: 72px
          filter: invert(100%)
          margin-right: 5px
        &__head
          display: flex
          flex-direction: row
          align-items: center;
        &__title
          font-size: 1.3em
          font-weight: 700
        &__text
          margin-top: 10px

  &__for
    margin: auto
    max-width: 1200px
    padding-bottom: 40px
    &-title
      text-align: center
      font-size: 3em
      margin-top: 40px
    &-wrapper
      display: flex

  &__partners
    gradient()
    color: lightColor
    text-align: center
    padding: 10px 0 30px
    &-title
      font-size: 3em
    &-wrapper
      display: flex
      justify-content: center
      align-items: center
      margin: auto
      img
        margin: 20px

  &__services
    background: url('../assets/partners_bg.png')
    text-align: center
    padding: 20px 0 50px
    &-title
      color: mainColor
      margin-top: 0px
      font-size: 3em
    &-subtitle
      max-width: 600px
      font-size: 1.5em
      margin: auto
      color: #212121
    &-text
      max-width: 600px
      margin: 20px auto
      color: #333333
      font-size: 1em

  &__footer
    background: #929292
    padding: 35px
    &-wrapper
      max-width: 1200px
      margin: auto
      color: lightColor
      display: flex
      justify-content: space-between
      > *
        flex-basis: 33%
    &-image
      filter: grayscale(100%)
      margin-top: 30px
      height: 80px
    &-menu
      display: flex
      flex-direction: column
      a
        margin-top: 10px
        color: lightColor
        font-weight: 700
        text-decoration: none
        &:hover
          text-decoration: underline
</style>
